/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.xta;

import java.util.List;

import de.ozgcloud.eingang.common.formdata.IncomingFile;
import de.ozgcloud.eingang.common.formdata.IncomingFileGroup;
import de.ozgcloud.eingang.common.formdata.IncomingFileGroupTestFactory;
import de.ozgcloud.eingang.common.formdata.IncomingFileTestFactory;

public class RepresentationsAttachmentsPairTestFactory {
	static final List<IncomingFile> PAIR_REPRESENTATIONS = List.of(
			IncomingFileTestFactory.createBuilder().name("representation1.xml").build(),
			IncomingFileTestFactory.createBuilder().name("representation1.pdf").build()
	);

	static final List<IncomingFileGroup> PAIR_ATTACHMENTS = List.of(
			IncomingFileGroupTestFactory.create(),
			IncomingFileGroupTestFactory.create(),
			IncomingFileGroupTestFactory.create()
	);

	static RepresentationsAttachmentsPair create() {
		return createBuilder().build();
	}

	static RepresentationsAttachmentsPair.RepresentationsAttachmentsPairBuilder createBuilder() {
		return RepresentationsAttachmentsPair.builder()
				.representations(PAIR_REPRESENTATIONS)
				.attachments(PAIR_ATTACHMENTS);
	}
}
